complexType "EuropeanExercise"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | expirationDate
</...>

Content Model Elements (1):

  expirationDate (in europeanExercise)

All Direct / Indirect Based Elements (1):

  europeanExercise

Known Usage Locations

- As direct type of elements (1):
  europeanExercise

Annotation
A type defining the exercise period for a European style option together with any rules governing the notional amount of the underlying which can be exercised on any given exercise date and any associated exercise fees.
Type Definition Detail

Type Derivation Tree Exercise (extension) EuropeanExercise

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="EuropeanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element name="expirationDate" type="AdjustableOrRelativeDate"/> <!--View Generation: SKIPPED relevantUnderlyingDate - DateAdjustments--> <!--View Generation: SKIPPED earliestExerciseTime - Documentation--> <!--View Generation: SKIPPED expirationTime - Documentation--> <!--View Generation: SKIPPED partialExercise - Documentation--> <!--View Generation: SKIPPED exerciseFee - Unsupported--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
expirationDate

  Type: | AdjustableOrRelativeDate, complex content

  The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expirationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.